<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html">alerts</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html">StubMessageStorage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html" title="alexaClientSDK::certified\lSender::MessageStorageInterface" alt="" coords="5,5,230,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html" title="alexaClientSDK::certified\lSender::MessageStorageInterface" alt="" coords="5,5,230,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac8d077c7f2f207f3b5e827f1195af290"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#ac8d077c7f2f207f3b5e827f1195af290">createDatabase</a> () override</td></tr>
<tr class="separator:ac8d077c7f2f207f3b5e827f1195af290"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e75aa1345a767f005952f1efa2e2d66"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#a6e75aa1345a767f005952f1efa2e2d66">open</a> () override</td></tr>
<tr class="separator:a6e75aa1345a767f005952f1efa2e2d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cecb75a0a724c1aadc178e53beec6cd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#a3cecb75a0a724c1aadc178e53beec6cd">close</a> () override</td></tr>
<tr class="separator:a3cecb75a0a724c1aadc178e53beec6cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2146d455420a0851b95d6fa655c742e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#ab2146d455420a0851b95d6fa655c742e">store</a> (const std::string &amp;message, int *id) override</td></tr>
<tr class="separator:ab2146d455420a0851b95d6fa655c742e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ad3cee4f9e3be1e612ea8b4ed806ac1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#a5ad3cee4f9e3be1e612ea8b4ed806ac1">load</a> (std::queue&lt; <a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html">StoredMessage</a> &gt; *messageContainer) override</td></tr>
<tr class="separator:a5ad3cee4f9e3be1e612ea8b4ed806ac1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79c273b47310d166c8213d76dc64b160"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#a79c273b47310d166c8213d76dc64b160">erase</a> (int messageId) override</td></tr>
<tr class="separator:a79c273b47310d166c8213d76dc64b160"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84cd4d3aa66c353c551fca8d5c601278"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#a84cd4d3aa66c353c551fca8d5c601278">clearDatabase</a> () override</td></tr>
<tr class="separator:a84cd4d3aa66c353c551fca8d5c601278"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">alexaClientSDK::certifiedSender::MessageStorageInterface</a></td></tr>
<tr class="memitem:a75f8c604874181dc95f58333383fea5e inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a75f8c604874181dc95f58333383fea5e">~MessageStorageInterface</a> ()=default</td></tr>
<tr class="separator:a75f8c604874181dc95f58333383fea5e inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test <code>MessageStorageInterface</code> implementation to provide a valid instance for the initialization of other components. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a84cd4d3aa66c353c551fca8d5c601278"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84cd4d3aa66c353c551fca8d5c601278">&#9670;&nbsp;</a></span>clearDatabase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage::clearDatabase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">A utility function to clear the database of all records. Note that the database will still exist, as will the tables. Only the rows will be erased.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the database was successfully cleared. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a728b2f59806c08d5cf286032ce030dab">alexaClientSDK::certifiedSender::MessageStorageInterface</a>.</p>

</div>
</div>
<a id="a3cecb75a0a724c1aadc178e53beec6cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cecb75a0a724c1aadc178e53beec6cd">&#9670;&nbsp;</a></span>close()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage::close </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Close the currently open database, if one is open. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a770eca510a5c854d69f445ed65148def">alexaClientSDK::certifiedSender::MessageStorageInterface</a>.</p>

</div>
</div>
<a id="ac8d077c7f2f207f3b5e827f1195af290"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8d077c7f2f207f3b5e827f1195af290">&#9670;&nbsp;</a></span>createDatabase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage::createDatabase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates a new database with the given filePath. If a database is already being handled by this object, or there is are other errors creating the database, this function returns false.</p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the database is created ok, or <code>false</code> if a database is already being handled by this object or there is an internal error creating the database. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a83ad426fad42db7e0ffd7ff164d50744">alexaClientSDK::certifiedSender::MessageStorageInterface</a>.</p>

</div>
</div>
<a id="a79c273b47310d166c8213d76dc64b160"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79c273b47310d166c8213d76dc64b160">&#9670;&nbsp;</a></span>erase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage::erase </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>messageId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Erases a single message from the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">messageId</td><td>The id of the message to be erased. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the message was successfully erased. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a68bd3e2439c47ee2dc6079b74113aaf6">alexaClientSDK::certifiedSender::MessageStorageInterface</a>.</p>

</div>
</div>
<a id="a5ad3cee4f9e3be1e612ea8b4ed806ac1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ad3cee4f9e3be1e612ea8b4ed806ac1">&#9670;&nbsp;</a></span>load()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage::load </td>
          <td>(</td>
          <td class="paramtype">std::queue&lt; <a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html">StoredMessage</a> &gt; *&#160;</td>
          <td class="paramname"><em>messageContainer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Loads all messages in the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">messageContainer</td><td>The container where messages should be stored. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the <code>StoredMessages</code> were successfully loaded. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ad30f520cabee0ec267f3587e5c6049c1">alexaClientSDK::certifiedSender::MessageStorageInterface</a>.</p>

</div>
</div>
<a id="a6e75aa1345a767f005952f1efa2e2d66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e75aa1345a767f005952f1efa2e2d66">&#9670;&nbsp;</a></span>open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage::open </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Open an existing database. If this object is already managing an open database, or there is a problem opening the database, this function returns false.</p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the database is opened ok, <code>false</code> if this object is already managing an open database, or if there is another internal reason the database could not be opened. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a69f5888e39921094136eb82e8c422b2d">alexaClientSDK::certifiedSender::MessageStorageInterface</a>.</p>

</div>
</div>
<a id="ab2146d455420a0851b95d6fa655c742e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2146d455420a0851b95d6fa655c742e">&#9670;&nbsp;</a></span>store()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage::store </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Stores a single message in the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">The</td><td>message to store. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">id</td><td>The id associated with the stored messsage, if successfully stored. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the message was successfully stored. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ae316419688e35565148312b7f793891d">alexaClientSDK::certifiedSender::MessageStorageInterface</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/Alerts/test/<a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
